<?php
//Incluimos conexion a la base de 
require_once('../config/Conexion.php');

Class Repetidor
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
    
      public function insertar($nombre_repetidor, $idtorre) {
        $sql = "INSERT INTO repetidor (nombre_repetidor, idtorre) 
                VALUES ('$nombre_repetidor', '$idtorre')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idrepetidor, $nombre_repetidor, $idtorre) {
        $sql = "UPDATE repetidor SET 
                nombre_repetidor = '$nombre_repetidor', 
                idtorre = '$idtorre'                 
                WHERE idrepetidor = '$idrepetidor'";
        return ejecutarConsulta($sql);
    }

    public function listarrepetidor()
    {
      $sql="SELECT r.idrepetidor,r.nombre_repetidor,o.nombre_torre FROM repetidor r  join torre  o on r.idtorre=o.idtorre  ";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idrepetidor)
    {
      $sql="SELECT * FROM repetidor where idrepetidor='$idrepetidor'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idrepetidor)
    {
      $sql="DELETE FROM repetidor where idrepetidor='$idrepetidor'";
      return ejecutarConsulta($sql);
    }

    public function selectRepetidor()
    {
      $sql="SELECT * FROM repetidor ";
      return ejecutarConsulta($sql);
    }

    public function selectRepetidorTorre($torreid)
    {
      $sql="SELECT * FROM repetidor where idtorre='$torreid' ";
      return ejecutarConsulta($sql);
    }



}


?>